Bug 1332441 - yum reposync fails to download rpms that already exist in the repo
Summary: yum reposync fails to download rpms that already exist in the repo
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-03 08:19 UTC by David Caro
Modified: 2016-12-20 20:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1399235 (view as bug list)
Environment:
Last Closed: 2016-12-20 20:15:12 UTC
Type: Bug


Attachments (Terms of Use)

Description David Caro 2016-05-03 08:19:32 UTC
Description of problem:
When running reposync for multiple during multiple days downloading rpms to the same dir (to keep a local copy up of the repos up to date) I'm seeing that from time to time it starts failing to download some rpm with the error:

python-ioprocess-0.15.0-4.el7. FAILED                                          
python-ioprocess-0.15.0-4.el7.noarch: [Errno 256] No more mirrors to try.


Version-Release number of selected component (if applicable):
# rpm -qa yum-utils
yum-utils-1.1.31-508.fc23.noarch


How reproducible:
You can use this yum config:

# cat test.repo 
[main]
reposdir=/etc/reposync.repos.d
retries=3
debuglevel=10
rpmverbosity=debug
[epel-el7]
name=EPEL repo
baseurl=https://dl.fedoraproject.org/pub/epel/7/x86_64/
enabled=1
gpgcheck=0


Then run reposync:

 "reposync" "--config=test.repo" "--download_path=/tmp/reposync" "--newest-only" "--delete" "--cachedir=/tmp/reposync_cache"  "--repoid=epel-el7"


If eventually (usually the day after) reposync will start failing, even though it has the rpm there:

# tree /tmp/reposync
/tmp/reposync
└── epel-el7
    ├── g
    ├── i
    ├── l
    ├── m
    ├── p
    │   └── python-ioprocess-0.15.0-4.el7.noarch.rpm
    └── s

If you remove the rpm manually, it redownloads it and continues successfully.

Steps to Reproduce:
1.
2.
3.

Actual results:
Reposync complains about being unable to download from any mirrors and fails

Expected results:
Reposync succeeds, either 

Additional info:


The old rpm:

 rpm -qpi /tmp/reposync/epel-el7/p/python-ioprocess-0.15.0-4.el7.noarch.rpm 
warning: /tmp/reposync/epel-el7/p/python-ioprocess-0.15.0-4.el7.noarch.rpm: Header V4 RSA/SHA1 Signature, key ID 61e8806c: NOKEY
Name        : python-ioprocess
Version     : 0.15.0
Release     : 4.el7
Architecture: noarch
Install Date: (not installed)
Group       : System Environment/Base
Size        : 55223
License     : GPLv2+
Signature   : RSA/SHA1, Thu 17 Dec 2015 04:48:02 PM CET, Key ID 7aebbe8261e8806c
Source RPM  : ioprocess-0.15.0-4.el7.src.rpm
Build Date  : Fri 11 Dec 2015 09:57:17 AM CET
Build Host  : c1bg.rdu2.centos.org
Relocations : (not relocatable)
Packager    : CBS <cbs@centos.org>
Vendor      : CentOS
URL         : https://github.com/oVirt/ioprocess
Summary     : Python bindings for ioprocess
Description :
Python bindings for ioprocess


The rpm it's replaced by once you remove it:
[root@dev-20 ovirt-system-tests]# rm /tmp/reposync/epel-el7/p/python-ioprocess-0.15.0-4.el7.noarch.rpm
rm: remove regular file ‘/tmp/reposync/epel-el7/p/python-ioprocess-0.15.0-4.el7.noarch.rpm’? y
[root@dev-20 ovirt-system-tests]# "reposync" "--config=test.repo" "--download_path=/tmp/reposync" "--newest-only" "--delete" "--cachedir=/tmp/reposync_cache"  "--repoid=epel-el7" 

Yum-utils package has been deprecated, use dnf instead.
See 'man yum2dnf' for more information.


Config time: 0.007
repo time: 0.001
Setting up Package Sacks
pkgsack time: 0.364
rpmdb time: 0.0000.15.0-4.el7.noarch.rpm                                                                  0% [                                                                                               ]  0.0 B/s |    0 B  --:--:-- ETA 
python-ioprocess-0.15.0-4.el7.noarch.rpm                                                                                                                                                                                |  23 kB  00:00:01     
[root@dev-20 ovirt-system-tests]# rpm -qpi /tmp/reposync/epel-el7/p/python-ioprocess-0.15.0-4.el7.noarch.rpm 
warning: /tmp/reposync/epel-el7/p/python-ioprocess-0.15.0-4.el7.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID 352c64e5: NOKEY
Name        : python-ioprocess
Version     : 0.15.0
Release     : 4.el7
Architecture: noarch
Install Date: (not installed)
Group       : System Environment/Base
Size        : 55223
License     : GPLv2+
Signature   : RSA/SHA256, Sun 29 Nov 2015 07:44:25 PM CET, Key ID 6a2faea2352c64e5
Source RPM  : ioprocess-0.15.0-4.el7.src.rpm
Build Date  : Sun 29 Nov 2015 03:37:09 PM CET
Build Host  : buildhw-09-nfs.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : https://github.com/ficoos/ioprocess
Summary     : Python bindings for ioprocess
Description :
Python bindings for ioprocess

Comment 2 Nadav Goldin 2016-11-21 16:07:16 UTC
Hi, any news on this?

Comment 3 Valentina Mukhamedzhanova 2016-11-22 12:10:33 UTC
(In reply to Nadav Goldin from comment #2)
> Hi, any news on this?

yum and yum-utils are discontinued on Fedora. Fedora users should be using dnf at this point. If you would like to propose this BZ for fixing on RHEL, please change the Product to RHEL. Otherwise, I would suggest closing this BZ.

Comment 4 Fedora End Of Life 2016-11-25 08:55:13 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2016-12-20 20:15:12 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.